Update a computer
curl --request PATCH \
--url https://api.factory.ai/api/v0/computers/{computerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remoteUser": "<string>"
}
'import requests
url = "https://api.factory.ai/api/v0/computers/{computerId}"
payload = {
"name": "<string>",
"hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remoteUser": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
hostId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
remoteUser: '<string>'
})
};
fetch('https://api.factory.ai/api/v0/computers/{computerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"createdAt": 123,
"hostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hostname": "<string>",
"provisioningSteps": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"error": "<string>",
"startedAt": 123,
"completedAt": 123,
"installSessionId": "<string>"
}
],
"relayClientUrl": "<string>",
"relayAgentUrl": "<string>",
"remoteUser": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}Computers
Update a computer
Updates a computer by ID.
PATCH
/
api
/
v0
/
computers
/
{computerId}
Update a computer
Authorizations
Factory API key or JWT token for authentication
Path Parameters
Computer ID
Body
application/json
Response
Response for status 200
Available options:
byom, e2b Available options:
provisioning, active, error Show child attributes
Show child attributes
⌘I
